{"templateId":"markdown","versions":[{"version":"opendelivery","label":"Open Delivery API","link":"/en/apis/docs/signature-calculation/examples","default":true,"active":true,"folderId":"62a846bf"},{"version":"standard","label":"Standard Keeta API","link":"/en/apis/standard/docs/signature-calculation/examples","default":false,"active":false,"folderId":"62a846bf"},{"version":"grocery","label":"Grocery Keeta API","link":"/en/apis/grocery/docs/signature-calculation/examples","default":false,"active":false,"folderId":"62a846bf"}],"sharedDataIds":{"sidebar":"sidebar-@l10n/en/apis/@opendelivery/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Examples"},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"id":"examples","level":1,"__idx":0},"children":["Examples "]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-1-get-request-with-query-parameters","__idx":1},"children":[" Example 1: GET Request with Query Parameters"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Request:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"URL: https://api.example.com/v1/users\nQuery Parameters: {page: \"2\", limit: \"10\", sort: \"name\"}\nBody: (empty)\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Signature String:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"https://api.example.com/v1/users&limit=10&page=2&sort=name\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-2-post-request-with-json-body","__idx":2},"children":[" Example 2: POST Request with JSON Body"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Request:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"URL: https://api.example.com/v1/orders\nQuery Parameters: (empty)\nBody: {\"userId\": 123, \"productId\": 456, \"quantity\": 2}\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Signature String:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"https://api.example.com/v1/orders&{\"userId\":123,\"productId\":456,\"quantity\":2}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-3-put-request-with-both-query-parameters-and-body","__idx":3},"children":[" Example 3: PUT Request with Both Query Parameters and Body"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Request:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"curl","header":{"controls":{"copy":{}}},"source":"URL: https://api.example.com/v1/products\nQuery Parameters: {version: \"v2\", format: \"json\"}\nBody: {\"name\": \"Product A\", \"price\": 99.99}\n","lang":"curl"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Signature String:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"curl","header":{"controls":{"copy":{}}},"source":"https://api.example.com/v1/products&format=json&version=v2&{\"name\":\"Product A\",\"price\":99.99}\n","lang":"curl"},"children":[]}]},"headings":[{"value":"Examples","id":"examples","depth":1},{"value":"Example 1: GET Request with Query Parameters","id":"example-1-get-request-with-query-parameters","depth":3},{"value":"Example 2: POST Request with JSON Body","id":"example-2-post-request-with-json-body","depth":3},{"value":"Example 3: PUT Request with Both Query Parameters and Body","id":"example-3-put-request-with-both-query-parameters-and-body","depth":3}],"frontmatter":{"slug":"/apis/opendelivery/signature-calculation/examples","seo":{"title":"Examples"}},"lastModified":"2026-11-12T19:50:41.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/en/apis/opendelivery/signature-calculation/examples","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}